Bug 76308 - Update port graphics/p5-Image-ExifTool to 4.15
Summary: Update port graphics/p5-Image-ExifTool to 4.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-16 17:00 UTC by Tod McQuillin
Modified: 2005-01-27 16:32 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.67 KB, patch)
2005-01-16 17:00 UTC, Tod McQuillin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tod McQuillin 2005-01-16 17:00:47 UTC
	Here's an update for graphics/p5-Image-ExifTool 4.15

	I am willing to take maintainership of this port if it helps.
I'm not currently a maintainer of any existing ports, though i have
submitted several (including this one).
Comment 1 Volker Stolz freebsd_committer 2005-01-21 16:22:25 UTC
State Changed
From-To: open->feedback

Please verify the packaging, at least some man-pages are missing: 
p5-Image-ExifTool@menelaos [17:21:25]> find /usr/local/lib/perl5/ -name "*Exif*" 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::CanonRaw.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Pentax.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::WriteIPTC.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::PrintIM.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Photoshop.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Sanyo.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::WriteXMP.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Nikon.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Canon.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Sony.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::WriteExif.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::IPTC.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Unknown.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::WritePhotoshop.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Casio.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::GPS.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::MakerNotes.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::ICC_Profile.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Panasonic.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::FujiFilm.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Olympus.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::BuildTagLookup.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Exif.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Minolta.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Sigma.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::XMP.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::CanonCustom.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Shortcuts.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::TagLookup.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::Writer.3 
/usr/local/lib/perl5/5.6.1/man/man3/Image::ExifTool::GeoTiff.3
Comment 2 Tod McQuillin 2005-01-22 03:34:16 UTC
On Fri, 21 Jan 2005, Volker Stolz wrote:

> Synopsis: Update port graphics/p5-Image-ExifTool to 4.15
>
> State-Changed-From-To: open->feedback
> State-Changed-By: vs
> State-Changed-When: Fri Jan 21 16:22:25 GMT 2005
> State-Changed-Why:
> Please verify the packaging, at least some man-pages are missing:
>
> [ ... ]
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=76308

Oops, my apologies.  Corrected patch below:

Index: Makefile
===================================================================
RCS file: /usr/src/cvs-repo/ports/graphics/p5-Image-ExifTool/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	6 Nov 2004 03:00:45 -0000	1.2
+++ Makefile	22 Jan 2005 03:32:12 -0000
@@ -6,7 +6,7 @@
  #

  PORTNAME=	Image-ExifTool
-PORTVERSION=	3.72
+PORTVERSION=	4.15
  CATEGORIES=	graphics perl5
  MASTER_SITES=	http://www.sno.phy.queensu.ca/~phil/exiftool/
  PKGNAMEPREFIX=	p5-
@@ -16,6 +16,38 @@

  PERL_CONFIGURE=	yes

-MAN3=		Image::ExifTool.3 File::RandomAccess.3
+MAN3=		File::RandomAccess.3 \
+		Image::ExifTool.3 \
+		Image::ExifTool::BuildTagLookup.3 \
+		Image::ExifTool::Canon.3 \
+		Image::ExifTool::CanonCustom.3 \
+		Image::ExifTool::CanonRaw.3 \
+		Image::ExifTool::Casio.3 \
+		Image::ExifTool::Exif.3 \
+		Image::ExifTool::FujiFilm.3 \
+		Image::ExifTool::GPS.3 \
+		Image::ExifTool::GeoTiff.3 \
+		Image::ExifTool::ICC_Profile.3 \
+		Image::ExifTool::IPTC.3 \
+		Image::ExifTool::MakerNotes.3 \
+		Image::ExifTool::Minolta.3 \
+		Image::ExifTool::Nikon.3 \
+		Image::ExifTool::Olympus.3 \
+		Image::ExifTool::Panasonic.3 \
+		Image::ExifTool::Pentax.3 \
+		Image::ExifTool::Photoshop.3 \
+		Image::ExifTool::PrintIM.3 \
+		Image::ExifTool::Sanyo.3 \
+		Image::ExifTool::Shortcuts.3 \
+		Image::ExifTool::Sigma.3 \
+		Image::ExifTool::Sony.3 \
+		Image::ExifTool::TagLookup.3 \
+		Image::ExifTool::Unknown.3 \
+		Image::ExifTool::WriteExif.3 \
+		Image::ExifTool::WriteIPTC.3 \
+		Image::ExifTool::WritePhotoshop.3 \
+		Image::ExifTool::WriteXMP.3 \
+		Image::ExifTool::Writer.3 \
+		Image::ExifTool::XMP.3

  .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /usr/src/cvs-repo/ports/graphics/p5-Image-ExifTool/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	6 Nov 2004 03:00:45 -0000	1.2
+++ distinfo	16 Jan 2005 16:41:03 -0000
@@ -1,2 +1,2 @@
-MD5 (Image-ExifTool-3.72.tar.gz) = 5d1d00e286733fdb4051345370fcdc52
-SIZE (Image-ExifTool-3.72.tar.gz) = 294785
+MD5 (Image-ExifTool-4.15.tar.gz) = a52f71eb8f9f610335dbadb34874ff9e
+SIZE (Image-ExifTool-4.15.tar.gz) = 333967
Index: pkg-plist
===================================================================
RCS file: /usr/src/cvs-repo/ports/graphics/p5-Image-ExifTool/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	6 Nov 2004 03:00:45 -0000	1.2
+++ pkg-plist	16 Jan 2005 16:44:52 -0000
@@ -3,6 +3,7 @@
  %%SITE_PERL%%/File/RandomAccess.pod
  %%SITE_PERL%%/Image/ExifTool.pm
  %%SITE_PERL%%/Image/ExifTool.pod
+%%SITE_PERL%%/Image/ExifTool/BuildTagLookup.pm
  %%SITE_PERL%%/Image/ExifTool/Canon.pm
  %%SITE_PERL%%/Image/ExifTool/CanonCustom.pm
  %%SITE_PERL%%/Image/ExifTool/CanonRaw.pm
@@ -11,10 +12,13 @@
  %%SITE_PERL%%/Image/ExifTool/FujiFilm.pm
  %%SITE_PERL%%/Image/ExifTool/GPS.pm
  %%SITE_PERL%%/Image/ExifTool/GeoTiff.pm
+%%SITE_PERL%%/Image/ExifTool/ICC_Profile.pm
  %%SITE_PERL%%/Image/ExifTool/IPTC.pm
+%%SITE_PERL%%/Image/ExifTool/MakerNotes.pm
  %%SITE_PERL%%/Image/ExifTool/Minolta.pm
  %%SITE_PERL%%/Image/ExifTool/Nikon.pm
  %%SITE_PERL%%/Image/ExifTool/Olympus.pm
+%%SITE_PERL%%/Image/ExifTool/Panasonic.pm
  %%SITE_PERL%%/Image/ExifTool/Pentax.pm
  %%SITE_PERL%%/Image/ExifTool/Photoshop.pm
  %%SITE_PERL%%/Image/ExifTool/PrintIM.pm
@@ -23,7 +27,13 @@
  %%SITE_PERL%%/Image/ExifTool/Shortcuts.pm
  %%SITE_PERL%%/Image/ExifTool/Sigma.pm
  %%SITE_PERL%%/Image/ExifTool/Sony.pm
+%%SITE_PERL%%/Image/ExifTool/TagLookup.pm
  %%SITE_PERL%%/Image/ExifTool/Unknown.pm
+%%SITE_PERL%%/Image/ExifTool/WriteExif.pl
+%%SITE_PERL%%/Image/ExifTool/WriteIPTC.pl
+%%SITE_PERL%%/Image/ExifTool/WritePhotoshop.pl
+%%SITE_PERL%%/Image/ExifTool/WriteXMP.pl
+%%SITE_PERL%%/Image/ExifTool/Writer.pl
  %%SITE_PERL%%/Image/ExifTool/XMP.pm
  %%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/ExifTool/.packlist
  @dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/ExifTool
Comment 3 Volker Stolz freebsd_committer 2005-01-27 16:31:43 UTC
State Changed
From-To: feedback->closed

Committed, thanks! 
Welcome to your new job as a port's maintainer :)